TeamTalk 5 Java DLL: Server Administration

TeamTalk 5 Java DLL Version 5.12A

Loading...
Searching...
No Matches
Classes | Enumerations | Functions
Server Administration

This section explains how to configure a server and setup user accounts. More...

## Classes

struct | BearWare.ServerProperties
| A struct containing the properties of the server's settings. More...
struct | BearWare.ServerStatistics
| A struct containing the server's statistics, i.e. bandwidth usage and user activity. More...
struct | BearWare.BannedUser
| A struct containing the properties of a banned user. More...
struct | BearWare.AbusePrevention
| Properties to prevent server abuse. More...
struct | BearWare.UserAccount
| A struct containing the properties of a user account. More...

## Enumerations

enum | BearWare.UserRight : uint
| The rights users have once they have logged on to the server. More...
enum | BearWare.ServerLogEvent : uint
| Events that are logged by the server, i.e. written to server's log file. More...
enum | BearWare.BanType : uint
| Way to ban a user from either login or joining a channel. More...

## Functions

bool | BearWare.TeamTalkBase.GetServerProperties (ref ServerProperties lpServerProperties)
| Get the server's properties. More...
bool | BearWare.TeamTalkBase.GetServerUsers (out User[] lpUsers)
| Get all the users on the server. More...

## Detailed Description

This section explains how to configure a server and setup user accounts.

The server keeps track of which users are in which channels and ensures that users in the same channel can communicate with each other. It is also the job of the server to provide user authentication so only users with the proper credentials are allowed to do certain operations.

It is a good idea to check out section TeamTalk Server Setup Guide to learn how to configure the TeamTalk server.

The server's name, message of the day (MOTD) can be updated using the BearWare.ServerProperties-struct. Only users with #UserRight.USERRIGHT_UPDATE_SERVERPROPERTIES are allowed change a server's properties while it's running. This is done using the command TeamTalkBase.DoUpdateServer().

Sections:

- User Administration
- Kicking and Banning Users

# User Administration

Two types of users exists on a server, default users (#UserType.USERTYPE_DEFAULT) and administrator users (#UserType.USERTYPE_ADMIN). The UserType-enum can be used to see who is what. A user of #UserType.USERTYPE_ADMIN have unrestricted rights on the server and can issue any command to the server whereas a default user is limited to the UserRights which are assigned to the `uUserRights` member of the user's BearWare.UserAccount.

As administrator it is possible to list all users who have an account on the server using TeamTalkBase.DoListUserAccounts(). To create a new user account call the command TeamTalkBase.DoNewUserAccount() and to delete an account call TeamTalkBase.DoDeleteUserAccount().

# Kicking and Banning Users

Sometimes it may be necessary to kick and ban users from a server. With #UserRight.USERRIGHT_KICK_USERS it is possible to use the command TT_DoKickUser() to kick a user off the server. A channel operator (TT_DoChannelOp()) can also kick a user from a channel (but not off a server).

With #UserRight.USERRIGHT_BAN_USERS it is also possible to ban users from the server, so they can no longer log in. This can be done using TT_DoBanUser(). To list who are currently banned call TT_DoListBans() and to remove a ban call TT_DoUnBanUser().

## Enumeration Type Documentation

## ◆ UserRight

enum BearWare.UserRight : uint

The rights users have once they have logged on to the server.

BearWare.ServerProperties holds the user rights in its uUserRights member variable and is retrieved by calling TeamTalkBase.GetServerProperties() once connected to the server.

See also
  BearWare.ServerProperties
  BearWare.TeamTalkBase.GetServerProperties

Definition at line 1721 of file TeamTalk.cs.

## ◆ ServerLogEvent

enum BearWare.ServerLogEvent : uint

Events that are logged by the server, i.e. written to server's log file.

See also
  BearWare.ServerProperties
  TeamTalkBase.DoUpdateServer()

Definition at line 1808 of file TeamTalk.cs.

## ◆ BanType

enum BearWare.BanType : uint

Way to ban a user from either login or joining a channel.

See also
  BannedUser

Definition at line 2022 of file TeamTalk.cs.

## Function Documentation

## ◆ GetServerProperties()

bool BearWare.TeamTalkBase.GetServerProperties | ( | ref ServerProperties | lpServerProperties | ) |

Get the server's properties.

Parameters

  lpServerProperties | A struct to hold the server's properties.

Definition at line 7497 of file TeamTalk.cs.

## ◆ GetServerUsers()

bool BearWare.TeamTalkBase.GetServerUsers | ( | out User[] | lpUsers | ) |

Get all the users on the server.

If only users in a specific channel is needed call TeamTalkBase.GetChannelUsers()

Parameters

  lpUsers | An output array of BearWare.User which will receive the users on the server.

See also
  GetChannelUsers
  GetUser

Definition at line 7511 of file TeamTalk.cs.